Name:           dosbox
Version:        0.72
Release:        5%{?dist}

Summary:        x86/DOS emulator with sound and graphics

Group:          Applications/Emulators
License:        GPLv2+
URL:            http://dosbox.sf.net
Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        dosbox.desktop
Source2:        dosbox.png
Patch0:         dosbox-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libpng-devel
BuildRequires:  SDL-devel
BuildRequires:  SDL_net-devel
BuildRequires:  SDL_sound-devel
BuildRequires:  desktop-file-utils
BuildRequires:  alsa-lib-devel
BuildRequireS:  libGLU-devel

Requires: hicolor-icon-theme

%description

DOSBox is a DOS-emulator using SDL for easy portability to different
platforms. DOSBox has already been ported to several different platforms,
such as Windows, BeOS, Linux, Mac OS X...
DOSBox emulates a 286/386 realmode CPU, Directory FileSystem/XMS/EMS,
a SoundBlaster card for excellent sound compatibility with older games...
You can "re-live" the good old days with the help of DOSBox, it can run plenty
of the old classics that don't run on your new computer!



%prep
%setup -q
%patch0 -p1

%build
%configure --enable-core-inline
%{__make}


%check
%{__make} check


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

desktop-file-install \
  --vendor=fedora \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE1}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 0644 %SOURCE2 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/dosbox.png


%changelog
* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.72-5
- Fix Patch0:/%%patch mismatch.

* Fri Feb 22 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.72-4
- fix gcc43 build (#433990) with patch from Erik van Pienbroek
- add BR SDL_sound-devel

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.72-3
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.72-2
- Rebuilt for gcc43

* Mon Aug 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.72-1
- version upgrade

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.71-2
- new license tag
- rebuild for buildid

* Thu Aug 09 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.71-1
- version upgrade (#250149)
- new version has x86_64 dynamic core support (#247791)

* Fri Apr 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.70-3
- proper fix for #230902
- require hicolor-icon-theme
- drop X-Fedora category

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.70-2
- fix #230902

* Sun Mar 04 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.70-1
- version upgrade (#230768)

* Tue Sep 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.65-3
- FE6 rebuild

* Mon Jul 10 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.65-2
- add ipx support (#198057)

* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.65-1
- version upgrade

* Tue Feb 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-9
- Rebuild for Fedora Extras 5

* Wed Jan 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-8
- apply upstream patch
- fix typos

* Sun Jan 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-7
- add dist
- rebuild
- add gcc4.1 patch

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-6
- add a x86_64 bugfix from upstream 

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-5
- more build fixes and cleanups...

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- more x86_64 build fixes...

* Mon May 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-3
- fix x86_64 build (#158446)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 25 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.63-1
- new version
- added missing BuildRequires
- merged with preextras spec

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- Add a desktop file icon from upstream package (fixes fedora.us #1144).

* Mon May 31 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.61-0.fdr.1
- new version

* Mon Dec 22 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.60-0.fdr.1
- new version
- closed bug #1144
* Sun Jul 27 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.58-0.fdr.3
- Fixed minor stuff from #442 #3

* Sun Jul 13 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:0.58-0.fdr.2
- Added desktop entry
- Fixed minor stuff

* Mon Jun 30 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:0.58-0.fdr.1
- Initial RPM release.
